package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 用户提交生成图片的请求对象 xy_comfyui_user_workflow
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_comfyui_user_workflow")
public class ComfyuiUserWorkflow extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 模板id
     */
    private Integer workflowId;

    /**
     * 工作流类型
     */
    private Integer picType;

    /**
     * 模板json
     */
    private String workflowJson;

    /**
     * 生成图片的prompt
     */
    private String promptJson;

    /**
     * pic地址
     */
    private String picUrl;

    /**
     * 是否生成；0:未启动;1:生成中;2:生成失败;3:生成成功
     */
    private Integer isGenerate;

    /**
     * 生成时间
     */
    private Date generateTime;

    /**
     * comfyui生成的任务id
     */
    private String promptId;


}
