package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 视频合成对象 xy_np_video_conflate
 *
 * @author wyz
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName("xy_np_video_conflate")
public class NpVideoConflate extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 三方平台id
     */
    Integer modelId;
    /**
     * 音频地址，需公网可访问
     */
    private String audioUrl;

    /**
     * 合成的文本,文本支持以下标签：
插入停顿(单位:秒)：
自定义读音：100000
多音字标注：行
     */
    private String text;

    /**
     * 场景ID，从模特列表接口获取
     */
    private Integer sceneId;

    /**
     * 发音人id
     */
    private Integer speakerId;

    /**
     * 自定义背景，需公网可访问
     */
    private String backgroundUrl;

    /**
     * 合成作品名称
     */
    private String videoName;

    /**
     * 视频码率 可选值：1M、1.5M、3M、3.5M、5M、7M、8M、10M、12M、16M
     */
    private String bitRate;

    /**
     * 横向分辨率（默认’1080’）

     */
    private Integer width;

    /**
     * 纵向分辨率（默认’1920’）
     */
    private Integer height;

    /**
     * 是否启用mask ‘0’不起用 ’1’: 启用

     */
    private String mask;

    /**
     * fps 可选值："15"、 "20"、 "25"、 "30"

     */
    private String fps;

    /**
     * 合成结果回调地址
     */
    private String callbackUrl;

    /**
     * 是否抠图，0-不抠图 1-抠图；如果选择抠图，请同时设置‘backgroundUrl’值
     */
    private String matting;

    /**
     * 色彩度, 如‘yuv444p’
     */
    private String pixFmt;

    /**
     * 合成结果视频格式 可选值：mp4、webm，默认为mp4
     */
    private String videoFormat;

    /**
     * 垂直分辨率
     */
    private Integer vertical;

    /**
     * 水平分辨率
     */
    private Integer horizontal;
    /**
     * 文字地址
     */
    public String strUrl;
    /**
     * 文件尺寸(单位MB，只精确到MB)
     */
    public Integer videoSize;
    /**
     * 时长(单位：秒，如11.32)
     */
    public String duration;
    /**
     * 时长(单位：秒，如11.32)
     */
    public String videoUrl;
    /**
     *
     */
    private Integer synthesisStatus;

    /**
     * 控制模特大小及位置(具体位置说明参考第四章位置说明, 注意：目前该功能只支持输出mp4格式视频)
    x	string	N	控制模特水平方向位置(整数值)
    y	string	N	控制模特垂直方向位置(整数值)
    width	string	N	控制模特宽度(整数值)
    height	string	N	控制模特高度(整数值)
    indexLayer	Number	N	控制模特图层层级
     */
    private String styleJson;

    /**
     * nodes 在画面中添加素材(注意：目前该功能只支持输出mp4格式视频)  素材类型，'1'-视频素材 '2'-图片素材
url 素材地址
indexLayer 控制素材图层层级
style 控制素材位置
x 控制素材水平方向位置(整数值)
y 控制素材垂直方向位置(整数值)
width 控制素材宽度(整数值)
height 	控制素材高度(整数值)
rotation 	旋转角度(整数值,顺时针计算)
     */
    private String nodes;

    /**
     * 1:文本合成；2:语音合成
     */
    private Integer type;


    private String reason;
}
