package com.xyzc.start.domain.query;

import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 发现应用查询
 */
@Data
public class DiscoveryAppQuery {

    /**
     * 上一个应用id
     */
    private Long appId;

    /**
     * 模糊查询关键字
     */
    private String keyword;

    /**
     * 查询类型，1-精选应用，2-特色应用，3-玩转应用
     */
    @Range(min = 1, max = 3, message = "类型错误，请输入{min}到{max}之间的数")
    @NotNull(message = "类型不能为空")
    private Integer discoveryType;

    /**
     * 长度
     */
    @Range(min = 1, max = 100, message = "长度错误，请输入{min}到{max}之间的数")
    private Integer length = 20;


}
