package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.ComfyuiWorkflow;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 图片处理基本模板视图对象 xy_comfyui_workflow
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@AutoMapper(target = ComfyuiWorkflow.class)
public class ComfyuiWorkflowVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Long id;

    /**
     * ComfyUI配置的任务流程模板的json，用于生成图片的配置
     */
    private String workflowJson;

    /**
     * 序号
     */
    private Integer sort;

    /**
     * 类型：1:图片抠图；2:换背景
     */
    private Integer picType;

    /**
     * 例图地址
     */
    private String picUrl;

    /**
     * 图片名称
     */
    private String picName;

    /**
     * key用于ComfyUI校验
     */
    private String appKey;

}
