package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.NpTemplate;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 数字人视图对象 xy_np_template
 *
 * @author wyz
 * @date 2024-08-14
 */
@Data
@AutoMapper(target = NpTemplate.class)
public class NpTemplateVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Long id;

    /**
     * 模型id
     */
    private Integer modelId;

    /**
     * 模型名称
     */
    private String robotName;

    /**
     * 模型描述
     */
    private String robotDesc;

    /**
     * 图片地址
     */
    private String coverUrl;

    /**
     * 性别1男 2女
性别1男 2女
性别1男 2女
1:男，2:女
     */
    private Integer gender;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 星座
1:'白羊座', 2:'金牛座', 3:'双子座', 4:'巨蟹座', 5:'狮子座', 6:'处女座',
7:'天秤座', 8:'天蝎座', 9:'射手座', 10:'摩羯座', 11:'水瓶座', 12:'双鱼座'
     */
    private Integer starSigns;

    /**
     * 
     */
    private Integer face;

    /**
     * 发言人Id
     */
    private Integer speackerId;

    /**
     * 场景list,暂存json
     */
    private String sceneList;

}
