package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.MemberCard;
import com.xyzc.start.domain.bo.CreateOrderBo;
import com.xyzc.start.domain.vo.MemberCardOrderVo;
import com.xyzc.start.domain.vo.MemberCardVo;
import com.xyzc.start.domain.vo.SchemeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员卡Mapper接口
 *
 * @author admin
 * @date 2024-06-26
 */
@Mapper
public interface MemberCardMapper extends BaseMapperPlus<MemberCard, MemberCardVo> {

    /**
     * 根据方案id查询会员卡集合
     *
     * @param schemeId 方案id
     */
    List<MemberCardVo> queryVoListBySchemeId(Long schemeId, Long agentId);


    /**
     *
     * @param bo
     * @param agentId
     * @return
     */
    List<MemberCardOrderVo> queryOrderByMemberId(CreateOrderBo bo, long agentId);
}
