package com.xyzc.start.security;

import com.xyzc.common.core.exception.ErrorCode;
import com.xyzc.common.core.exception.ServerException;
import com.xyzc.common.web.security.mobile.MobileUserDetailsService;
import com.xyzc.common.web.security.user.UserDetail;
import com.xyzc.start.constant.BaseUserConst;
import com.xyzc.start.convert.BaseUserConvert;
import com.xyzc.start.domain.BaseUser;
import com.xyzc.start.mapper.BaseUserMapper;
import com.xyzc.start.mapper.SysOssMapper;
import lombok.AllArgsConstructor;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;


/**
 * 手机验证码登录
 *
 * @author 杨兴卓
 */
@Service
@AllArgsConstructor
public class MobileUserDetailsServiceImpl implements MobileUserDetailsService {
    private final BaseUserMapper baseUserMapper;


    @Override
    public UserDetails loadUserByMobile(String mobile) {
        BaseUser userEntity = baseUserMapper.queryDetailByMobile(mobile, 1810310843224322049L);

        // TODO： 后期新添加用户抽离出来不要放在这里
        // 未发现用户就保存用户信息
        BaseUser baseUser = new BaseUser();
        if (userEntity == null) {
            baseUser.setUserName(mobile);
            baseUser.setMobile(mobile);
            baseUser.setStatus(BaseUserConst.NORMAL_STATUS);
            baseUser.setSurplusFuel(10L);

            //TODO ：代理商id
            baseUser.setAgentMerId(1810310843224322049L);
            baseUserMapper.insert(baseUser);
        }

        // 用户详细信息
        // 转换成UserDetail对象
        UserDetail userDetail = BaseUserConvert.INSTANCE.convertDetail(userEntity);
        userDetail.setUsername(baseUser.getUserName());

        // 账号不可用
//        if (userEntity.getStatus() == UserStatusEnum.DISABLE.getValue()) {
//            userDetail.setEnabled(false);
//        }

        return userDetail;
    }

}
