package com.xyzc.start.service.impl;


import com.xyzc.common.web.security.user.SecurityUser;
import com.xyzc.start.domain.query.CollectDrawQuery;
import com.xyzc.start.domain.vo.*;
import com.xyzc.start.mapper.BaseUserCollectMapper;
import com.xyzc.start.service.IMyCollectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @author 杨兴卓
 */

@Service
@RequiredArgsConstructor
public class MyCollectServiceImpl implements IMyCollectService {

    private final BaseUserCollectMapper baseUserCollectMapper;

    /**
     *
     * @param query CollectDrawQuery
     * @return
     */
    @Override
    public List<DrawModelCollectVo> getCollectDrawModel(CollectDrawQuery query) {

        return baseUserCollectMapper.queryDrawModelById(SecurityUser.getUserId(), query);
    }

    /**
     *
     * @param collectId
     * @param name 应用名称模糊查询
     * @return
     */
    @Override
    public List<AppCollectVo> getCollectApp(Long collectId, String name) {

        return baseUserCollectMapper.queryAppById(SecurityUser.getUserId(), collectId, name);
    }

    /**
     *
     * @param collectId
     * @param name 图像名称
     * @return
     */
    @Override
    public List<DrawGraphicsCollectVo> getCollectImage(Long collectId, String name) {

        return baseUserCollectMapper.queryDrawGraphicsById(SecurityUser.getUserId(), collectId, name, 10);
    }


}
