package com.xyzc.start.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.google.gson.Gson;
import com.xyzc.start.domain.NpCommitTrain;
import com.xyzc.start.domain.NpVideoConflate;
import com.xyzc.start.mapper.NpCommitTrainMapper;
import com.xyzc.start.mapper.NpVideoConflateMapper;
import com.xyzc.start.service.INpNotifyService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
@Slf4j
public class NpNotifySeriviceImpl implements INpNotifyService {

    private final NpCommitTrainMapper npCommitTrainMapper;

    private final NpVideoConflateMapper npVideoConflateMapper;

    @Override
    public void commitTrainVedioNotify(String notify) {
        JSONObject notifyJson = JSONObject.parseObject(notify);
        if ("video-training".equals(notifyJson.getString("taskType"))) {
            JSONObject jsonObject = notifyJson.getJSONObject("data");
            String result = jsonObject.getString("result");
            Long createTime = jsonObject.getLong("createTime");
            Long updateTime = jsonObject.getLong("updateTime");
            String id = jsonObject.getString("id");
            String title = jsonObject.getString("title");
            if("fail".equals(result)) {
                String reason = jsonObject.getString("reason");
            }
            if("success".equals(result)) {
                String coverUrl = jsonObject.getString("coverUrl");
                Integer sceneId = jsonObject.getInteger("sceneId");
                Integer robotId = jsonObject.getInteger("robotId");
                NpCommitTrain npCommitTrain = npCommitTrainMapper.selectById(id);
                if(npCommitTrain == null) {
                    npCommitTrain = new NpCommitTrain();
                    npCommitTrain.setId(Long.valueOf(id));
//                    npCommitTrain.setCreateTime(createTime);
//                    npCommitTrain.setUpdateTime(updateTime);
                    npCommitTrain.setTitle(title);
                    npCommitTrain.setCoverUrl(coverUrl);
                    npCommitTrain.setRobotId(robotId);
                    npCommitTrain.setSceneId(sceneId);
                    npCommitTrainMapper.insert(npCommitTrain);
                } else {
//                    npCommitTrain.setUpdateTime(updateTime);
                    npCommitTrain.setTitle(title);
                    npCommitTrain.setCoverUrl(coverUrl);
                    npCommitTrain.setRobotId(robotId);
                }
                npCommitTrainMapper.insertOrUpdate(npCommitTrain);
            }
        }
    }

    @Override
    public void composeVedioNotify(String notify) {
        JSONObject jsonObject = JSONObject.parseObject(notify);
        String taskType = jsonObject.getString("taskType");
        if ("video-synthesis".equals(taskType)) {
            JSONObject dataJSON = jsonObject.getJSONObject("data");
            Integer synthesisStatus = dataJSON.getInteger("synthesisStatus");
            String result = dataJSON.getString("result");
            String id = dataJSON.getString("id");
            NpVideoConflate videoConflate = npVideoConflateMapper.selectOne(new QueryWrapper<NpVideoConflate>().eq("model_id", id));
            if(null==videoConflate)
                videoConflate = new NpVideoConflate();
            String videoName = dataJSON.getString("videoName");
            String videoFormat = dataJSON.getString("videoFormat");
            videoConflate.setReason(result);
            if(3 == synthesisStatus) {
                String strUrl = dataJSON.getString("strUrl");
                Integer vertical = dataJSON.getInteger("vertical");
                String updateTime = dataJSON.getString("updateTime");
                Integer videoSize = dataJSON.getInteger("videoSize");
                String duration = dataJSON.getString("duration");
                Integer horizontal = dataJSON.getInteger("horizontal");
                String videoUrl = dataJSON.getString("videoUrl");
                Long createTime = dataJSON.getLong("createTime");

                videoConflate.setVideoFormat(videoFormat);
                videoConflate.setVertical(vertical);
                videoConflate.setHorizontal(horizontal);
                videoConflate.setStrUrl(strUrl);
                videoConflate.setVideoSize(videoSize);
                videoConflate.setDuration(duration);
                videoConflate.setVideoUrl(videoUrl);
                videoConflate.setVideoName(videoName);
                videoConflate.setSynthesisStatus(synthesisStatus);
            }
            npVideoConflateMapper.insertOrUpdate(videoConflate);
        }
    }
}
